<template>
  <v-app>
    <!-- navigation -->
    <v-navigation-drawer v-model="drawer" :clipped="$vuetify.breakpoint.smAndUp" color="white" app>
      <v-divider></v-divider>
      <v-list dense>
        <div style="text-align: center">
          <img style="width: 40%" src="../assets/hospital_image.png" />
        </div>
        <p style="text-align: center; font-size: 15px"><B>{{ hospital_Name }}</B></p>
        <div style="margin-left: 12%">
          <v-divider style="width: 87%"></v-divider>
        </div>
        <div class="mt-4"></div>
        <template v-for="admin in admins">
          <v-list-item :key="admin.text" :to="admin.link" link v-if="admin.permission === role">
            <v-list-item-action>
              <v-icon>{{ admin.icon }}</v-icon>
            </v-list-item-action>
            <v-list-item-content>
              <v-list-item-title>
                <h3>{{ admin.text }}</h3>
              </v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </template>
        <div style="color: black;font-size: 10px;text-align: left;margin-left: 5%;" class="bottom">
          <p>Powered by</p>
          <p>Internet Thailand Public Company Limited</p>
        </div>
      </v-list>
    </v-navigation-drawer>
    <!-- navigation -->

    <!-- v-app-bar -->
    <v-app-bar :clipped-left="$vuetify.breakpoint.smAndUp" app color="#428bca" dark>
      <v-app-bar-nav-icon @click.stop="drawer = !drawer" color="white"></v-app-bar-nav-icon>
      <img src="../assets/Asset7.png" style="width: 10.5%" class="mt-1" />
      <v-toolbar-title>
        <span style="margin-top: 1%" class="ml-2">
          <span style="font-size: 30px">:</span>
          <span class="ml-1"> AI - CXR SCREENING v 3.0.1</span>
        </span>
      </v-toolbar-title>
      <v-spacer></v-spacer>
      <div id="hidden">
        <v-icon>mdi-account-circle</v-icon>
        &nbsp; &nbsp; &nbsp;
        <span style="font-size: 18px">{{ username }}</span>
      </div>
      <v-menu bottom left>
        <template v-slot:activator="{ on, attrs }">
          <v-btn dark icon v-bind="attrs" v-on="on">
            <v-icon>mdi-dots-vertical</v-icon>
          </v-btn>
        </template>
        <v-list>
          <v-list-item @click="dialog_resetpassword()">
            <v-list-item-title>
              <v-icon>mdi-lock-reset</v-icon> &nbsp; Reset Password
            </v-list-item-title>
          </v-list-item>
          <v-list-item @click="logout()">
            <v-list-item-title>
              <v-icon>mdi-logout</v-icon> &nbsp; Log out
            </v-list-item-title>
          </v-list-item>
        </v-list>
      </v-menu>
    </v-app-bar>
    <!-- v-app-bar -->

    <!-- v-container -->
    <v-container grid-list-xs class="mt-5">
      <router-view />
    </v-container>
    <!-- v-container -->

    <!-- dialog-reset-password -->
    <v-dialog v-model="dialog_reset" persistent max-width="430">
      <v-card>
        <v-card-title class="headline" style="color: white; background: #428bca">
          Reset Password
        </v-card-title>
        <v-form ref="form_reset">
          <v-card-text>
            <v-container>
              <v-row>
                <v-col cols="12" sm="12" md="12">
                  <v-text-field
                    outlined
                    dense
                    v-model="form_reset.old_password"
                    :rules="rules_old_password"
                    label="Old Password"
                  ></v-text-field>
                </v-col>
                <v-col cols="12" sm="12" md="12">
                  <v-text-field
                    outlined
                    dense
                    v-model="form_reset.new_password"
                    :rules="rules_new_password"
                    label="New Password"
                  ></v-text-field>
                </v-col>
              </v-row>
            </v-container>
          </v-card-text>
        </v-form>
        <v-divider></v-divider>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn
            color="red"
            style="color: white"
            @click="cancel_resetpassword()"
          >
            Cancle
          </v-btn>
          <v-btn color="blue" style="color: white" @click="save_dialog_reset()">
            Submit
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
    <!-- dialog-reset-password -->
  </v-app>
</template>

<script>
export default {
  name: "Navbar",

  data() {
    return {
      // api: "https://1ls.manageai.co.th",
      // api: "https://1ls-demo.manageai.co.th",
      api: process.env.VUE_APP_API,
      hospital_Name: "",
      username: "",
      dialog_reset: false,
      drawer: null,
      admins: [
        {
          icon: "mdi-account",
          text: "User",
          link: "/management/user",
          permission: "superadmin",
        },
        {
          icon: "mdi-hospital-box",
          text: "Hospital",
          link: "/management/hospital",
          permission: "superadmin",
        },
        {
          icon: "mdi-package",
          text: "Package",
          link: "/management/package",
          permission: "superadmin",
        },
        {
          icon: "mdi-file-account",
          text: "Summary",
          link: "/management/summary",
          permission: "superadmin",
        },
        {
          icon: "mdi-api",
          text: "API",
          link: "/management/api",
          permission: "superadmin",
        },
        {
          icon: "mdi-bullhorn",
          text: "Announcement",
          link: "/management/announcement",
          permission: "superadmin",
        },
        {
          icon: "mdi-tooltip-account",
          text: "UserOneId",
          link: "/management/useroneid",
          permission: "superadmin",
        },
        {
          icon: "mdi-account-tie",
          text: "AdminOneID",
          link: "/management/adminoneid",
          permission: "superadmin",
        },
        {
          icon: "mdi-tooltip-account",
          text: "Client",
          link: "/management/client",
          permission: "superadmin",
        },
      ],
      form_reset: {
        user_id: "",
        old_password: "",
        new_password: "",
      },
      role: "",
      rules_username: [(v) => !!v || "Please enter username"],
      rules_old_password: [(v) => !!v || "Please enter old password"],
      rules_new_password: [(v) => !!v || "Please enter new password"],
    };
  },
  mounted() {
    console.log("api -->", this.api);
    this.role = this.$cookies.get("info_login").role;
    this.form_reset.user_id = this.$cookies.get("info_login").user_id;
    this.username = this.$cookies.get("info_login").username;
    this.hospital_Name = this.$cookies.get("info_login").hospital_name_th;
  },
  methods: {
    dialog_resetpassword() {
      this.dialog_reset = true;
    },

    save_dialog_reset() {
      if (!this.$refs.form_reset.validate()) return;
      else {
        this.dialog_reset = false;
        this.axios
          .put(
            process.env.VUE_APP_API + "/api/v3/user/resetpassword",
            this.form_reset,
            {
              headers: {
                Authorization: this.$cookies.get("info_login").session_id,
              },
            }
          )
          .then((response) => {
            console.log("response", response);
            this.$swal({
              icon: "success",
              title: "Success!",
              text: "Reset Password success.",
              confirmButtonText: "OK",
              allowOutsideClick: false,
            }).then(() => {
              this.$refs.form_reset.reset();
            });
          })
          .catch((error) => {
            console.log("error", error);
          });
      }
    },

    cancel_resetpassword() {
      this.$refs.form_reset.reset();
      this.dialog_reset = false;
    },

    logout() {
      this.$cookies.remove("info_login");
      this.$cookies.remove("service");
      localStorage.clear();
      window.location.href = this.api;
    },
  },
};
</script>

<style scoped>
@media screen and (max-width: 600px) {
  #hidden {
    display: none;
  }
}

.bottom {
  position: absolute;
  bottom: 0;
}
</style>
